
QGIS Application - Bug report #1115

WMS Layer GetMap Request with Wrong Parameters

2008-05-28 11:53 PM - Pinpin -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11175

Description

WMS Request doesn't work as expected with a different projection than EPSG:4326.

The parameters BBOX and WIDTH and HEIGHT doesn't match with the SRS parameter. It doesn't match either with the projection of the

map.

Here is the url of the WMS : http://www.geosignal.org/cgi-bin/wmsmap?

The projection of the map is 27582 : NTF (Paris)/France II and all the layers included the WMS layer are in this projection.

Here is the error of QGIS :

Ne peut dessiner GéoSIGNAL parce que:

(code d'erreur inconnu d'un serveur de post-1.3 WMS) 

 Le fournisseur de WMS a également rapporté: 

msDrawMap(): Image handling error. Unable to initialize image.

msCalculateScale(): General error message. Invalid image extent, minx=2.407860, miny=46.227500, maxx=2.407860,

maxy=46.227500.

  C'est probablement dû à un bogue dans le rapport du programme QGIS. Reportez cette erreur. 

 URL

Éprouvé:http://www.geosignal.org/cgi-bin/wmsmap?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=-6.062580,41.163200,10.878300,51.291800&SRS=EPSG:27582&WIDTH=1&HEIGHT=1&LAYERS=RASTER4000k&STYLES=&FORMAT=image/png&TRANSPARENT=TRUE


,41.163200,10.878300,51.291800&SRS=EPSG:27582&WIDTH=1&HEIGHT=1&LAYERS=RASTER4000k&STYLES=&FORMAT=image/png&TRANSPARENT=TRUE


T=image/png&TRANSPARENT=TRUE

Indeed, the url should be : 

http://www.geosignal.org/cgi-bin/wmsmap?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=0,1600000,1

50000,2600000&#38;SRS=EPSG:27582&#38;WIDTH=500&#38;HEIGHT=400&#38;LAYERS=RASTER4000k&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

RMAT=image/png&#38;TRANSPARENT=TRUE

Qgis set a good SRS (EPSG:2758) but the BBOX is false.

History

#1 - 2008-06-20 05:34 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed
I tried to load the layer Raster4000k and it works as expected with the current development version (both with selecting wgs84 or epsg 27582), resulting in

the following request.

http://www.geosignal.org/cgi-bin/wmsmap?SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=203937.807137,1958513.266

30,952342.514623,2648158.927134&#38;SRS=EPSG:27582&#38;WIDTH=969&#38;HEIGHT=893&#38;LAYERS=RASTER4000k&#38;STYLES=&#38;FORMAT=image/png&#38;TRANSPARENT=TRUE

8;FORMAT=image/png&#38;TRANSPARENT=TRUE

Please test and reopen the bug if it still occurs for you with the current devel version (or the rc version for 0.11.0 that should appear soon)

Regards,

Marco

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
